#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF2,0xCC,0x25,0xE0,0xBC,0x3D,0x2F,0x9D,0x59,0x3C,0x12,0x2C,
		0xB9,0x09,0x27,0x46,0x1B,0x1F,0xDE,0x19,0x98,0x1E,0x65,0x99,
		0x79,0x68,0xBB,0xEC,0x4B,0x31,0x18,0x30,0x60,0x8F,0x50,0xC0,
		0xAA,0x68,0x86,0x3F,0x15,0x6B,0x49,0xED,0xFC,0xAF,0x45,0x10,
		0x62,0x9D,0xE2,0xF2,0x33,0x42,0xAB,0x36,0xE7,0x15,0xF4,0xED,
		0x84,0xDA,0x90,0x8B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
